On Debian, depend on libtext-markdown-discount.
authorJoey Hess <joey@kitenet.net>
Tue, 3 Jan 2012 18:55:40 +0000 (14:55 -0400)
committerJoey Hess <joey@kitenet.net>
Tue, 3 Jan 2012 23:49:13 +0000 (19:49 -0400)
debian/changelog
debian/control

index a33b3d1b758f7b6e5d00d553d5f0d5c8d00e147d..c9ab41ebd79eddebfae235b8a1920ce4aca0e3ba 100644 (file)
@@ -6,6 +6,7 @@ ikiwiki (3.20111230) UNRELEASED; urgency=low
     ikiwiki's rendering by a factor of 40.
     (However, when multimarkdown is enabled, Text::Markdown::Multimarkdown
     is still used.)
     ikiwiki's rendering by a factor of 40.
     (However, when multimarkdown is enabled, Text::Markdown::Multimarkdown
     is still used.)
+  * On Debian, depend on libtext-markdown-discount.
 
  -- Joey Hess <joeyh@debian.org>  Sun, 01 Jan 2012 16:22:24 -0400
 
 
  -- Joey Hess <joeyh@debian.org>  Sun, 01 Jan 2012 16:22:24 -0400
 
index 69cef567112153a0c3b77f231f11640a6b36b53c..922fe3c7772d2538377c45b9d6751a195181ab3f 100644 (file)
@@ -3,7 +3,7 @@ Section: web
 Priority: optional
 Build-Depends: perl, debhelper (>= 7.0.50)
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
 Priority: optional
 Build-Depends: perl, debhelper (>= 7.0.50)
 Build-Depends-Indep: dpkg-dev (>= 1.9.0), libxml-simple-perl,
-  libtext-markdown-perl | markdown, 
+  libtext-markdown-discount-perl,
   libtimedate-perl, libhtml-template-perl,
   libhtml-scrubber-perl, wdg-html-validator,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
   libtimedate-perl, libhtml-template-perl,
   libhtml-scrubber-perl, wdg-html-validator,
   libhtml-parser-perl, liburi-perl (>= 1.36), perlmagick, po4a (>= 0.34),
@@ -17,7 +17,7 @@ Vcs-Git: git://git.ikiwiki.info/
 Package: ikiwiki
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}, 
 Package: ikiwiki
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}, 
-  libtext-markdown-perl | markdown,
+  libtext-markdown-discount-perl,
   libhtml-scrubber-perl, libhtml-template-perl,
   libhtml-parser-perl, liburi-perl (>= 1.36), libyaml-perl, libjson-perl
 Recommends: gcc | c-compiler, 
   libhtml-scrubber-perl, libhtml-template-perl,
   libhtml-parser-perl, liburi-perl (>= 1.36), libyaml-perl, libjson-perl
 Recommends: gcc | c-compiler,